Browse Source

Indent only works for C, not C++
Fix directory check


git-svn-id: https://svn.osgeo.org/grass/grass/trunk@32413 15284696-431f-4ddb-bdfa-cd5b030d7da7

Glynn Clements 16 years ago
parent
commit
6fe55b4a83
2 changed files with 5 additions and 13 deletions
  1. 1 1
      tools/grass_indent.sh
  2. 4 12
      tools/grass_indent_ALL.sh

+ 1 - 1
tools/grass_indent.sh

@@ -8,5 +8,5 @@ if [ $# -lt 1 ] ; then
 else
  indent -bad -bap -bbb -br -bli0 -bls -cli0 -ncs -fc1 -hnl -i4 \
       -nbbo -nbc -nbfda -nbfde -ncdb -ncdw -nce -nfca -npcs -nprs \
-      -npsl -nsc -nsob -saf -sai -saw -sbi0 -ss -ts8 -ut $@
+      -npsl -nsc -nsob -saf -sai -saw -sbi0 -ss -ts8 -ut "$@"
 fi

+ 4 - 12
tools/grass_indent_ALL.sh

@@ -4,18 +4,10 @@
 # loops over entire GRASS source code tree and indents source code according to SUBMITTING rules
 
 #are we in the tools/ dir? We should not.
-l$ tools 2> /dev/null
-if [ $? -ne 0 ] ; then
- echo "ERROR: this script must be run from the main GRASS source code directory"
+if [ -d tools ] ; then
+ echo "ERROR: this script must be run from the main GRASS source code directory" >&2
  exit 1
 fi
 
-echo "Indenting *.c and *.h..."
-find . -type f -name "*.[ch]" | xargs ./tools/grass_indent.sh
-
-echo "Indenting *.cpp..."
-find . -type f -name "*.cpp" | xargs ./tools/grass_indent.sh
-
-echo "Indenting *.cc..."
-find . -type f -name "*.cc" | xargs ./tools/grass_indent.sh
-
+echo "Indenting *.c and *.h..." >&2
+find . -type f -name "*.[ch]" -print0 | xargs -0 ./tools/grass_indent.sh